package com.muyu.shop.cart.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.shop.cart.mapper.CartInfoMapper;
import com.muyu.shop.cart.domain.CartInfo;
import com.muyu.shop.cart.service.CartInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 购物车Service业务层处理
 *
 * @author DongZeLiang
 * @date 2024-03-29
 */
@Slf4j
@Service
public class CartInfoServiceImpl extends ServiceImpl<CartInfoMapper, CartInfo>  implements CartInfoService {

    /**
     * 查询购物车列表
     *
     * @param cartInfo 购物车
     * @return 购物车
     */
    @Override
    public List<CartInfo> list(CartInfo cartInfo) {
        LambdaQueryWrapper<CartInfo> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(cartInfo.getProjectId())){
            queryWrapper.eq(CartInfo::getProjectId, cartInfo.getProjectId());
        }

        if (ObjUtils.notNull(cartInfo.getProjectSku())){
            queryWrapper.eq(CartInfo::getProjectSku, cartInfo.getProjectSku());
        }

        if (ObjUtils.notNull(cartInfo.getUserId())){
            queryWrapper.eq(CartInfo::getUserId, cartInfo.getUserId());
        }

        if (ObjUtils.notNull(cartInfo.getNum())){
            queryWrapper.eq(CartInfo::getNum, cartInfo.getNum());
        }

        if (ObjUtils.notNull(cartInfo.getIsSelected())){
            queryWrapper.eq(CartInfo::getIsSelected, cartInfo.getIsSelected());
        }





        return list(queryWrapper);
    }
}
